Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class PNNPattern

    java.lang.Object
      org.encog.neural.pattern.PNNPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class PNNPattern

extends Object
implements NeuralNetworkPattern

Pattern to create a PNN.

Constructor Summary
`PNNPattern()`

Method Summary
`void` | `addHiddenLayer(int count)` Add a hidden layer.
`void` | `clear()` Clear out any hidden neurons.
`MLMethod` | `generate()` Generate the RSOM network.
`int` | `getInputNeurons()`
`PNNKernelType` | `getKernel()`
`PNNOutputMode` | `getOutmodel()`
`int` | `getOutputNeurons()`
`void` | `setActivationFunction(ActivationFunction activation)` Set the activation function.
`void` | `setInputNeurons(int count)` Set the input neuron count.
`void` | `setKernel(PNNKernelType kernel)` Set the kernel type.
`void` | `setOutmodel(PNNOutputMode outmodel)` Set the output model.
`void` | `setOutputNeurons(int count)` Set the output neuron count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNNPattern

    public PNNPattern()

Method Detail

### addHiddenLayer

    public final void addHiddenLayer(int count)

  Add a hidden layer. PNN networks do not have hidden layers, so this will throw an error.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of hidden neurons.

### clear

    public void clear()

  Clear out any hidden neurons.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public final MLMethod generate()

  Generate the RSOM network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    The neural network.

### getInputNeurons

    public final int getInputNeurons()

  Returns:
    The number of input neurons.

### getKernel

    public final PNNKernelType getKernel()

  Returns:
    The kernel.

### getOutmodel

    public final PNNOutputMode getOutmodel()

  Returns:
    The output model.

### getOutputNeurons

    public final int getOutputNeurons()

  Returns:
    The number of output neurons.

### setActivationFunction

    public final void setActivationFunction(ActivationFunction activation)

  Set the activation function. A PNN uses a linear activation function, so this method throws an error.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - The activation function to use.

### setInputNeurons

    public final void setInputNeurons(int count)

  Set the input neuron count.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of neurons.

### setKernel

    public final void setKernel(PNNKernelType kernel)

  Set the kernel type.

  Parameters:
    `kernel` - The kernel type.

### setOutmodel

    public final void setOutmodel(PNNOutputMode outmodel)

  Set the output model.

  Parameters:
    `outmodel` - The output model.

### setOutputNeurons

    public final void setOutputNeurons(int count)

  Set the output neuron count.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of neurons.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.